get a role.md
Get a Role
Management API · Roles
GET https://app.mk.io/api/v1/organization/roles/{role_name}
Returns details of a single Role.
RBAC Capability Required: core.role.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
role_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/organization/roles/{role_name}" \
-H "Authorization: Bearer <token>"
Responses
200 — The role
kind· string · Optional — The kind of record.metadata· object · Required — Role metadata.categories· list of strings · Required — Some capabilities apply to resources at the organization level, some apply only at the project level. This list suggests which categories of scope this role should be combined with.- Array items (string):
id· string · Required · format: uuid — The ID of the resourcename· string · Optional — The name of the resource
spec· object · Required — Role specification.capabilities· list of objects · Optional — List of capabilities.- Array items (object):
capability· string · Required — The name of the capability.
- Array items (object):
description· string · Required · 0-256 characters — A description of the role.
Example:
{
"kind": "string",
"metadata": {
"categories": [
"string"
],
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"spec": {
"capabilities": [
{
"capability": "string"
}
],
"description": "string"
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/api/v1/organization/roles/{role_name}